<?php
// $Id: theme-settings.php,v 1.1 2009/08/27 00:10:10 mtecknology Exp $

  function phptemplate_settings($saved_settings) {

    // Set default variables
    $defaults = array(
      'wrapper_width' => 960,
      'custom_footer_right' => 'Theme created by the <a href="https://launchpad.net/~ubuntu-drupal-themes">Ubuntu Drupal</a> team.',
    );

    // Merge the saved variables and their default values
    $settings = array_merge($defaults, $saved_settings);

    // Create the form widgets using Forms API
    $form['page'] = array(
      '#type' => 'fieldset',
      '#title' => t('Page Options'),
      '#collapsible' => TRUE,
      '#collapsed' => TRUE,
      '#tree' => FALSE,
    );
    $form['page']['wrapper_width'] = array(
      '#type' => 'textfield',
      '#title' => t('Page Width (default=960)'),
      '#default_value' => $settings['wrapper_width'],
    );
    $form['page']['custom_footer_right'] = array(
      '#type' => 'textarea',
      '#title' => t('Footer Text (Right)'),
      '#default_value' => $settings['custom_footer_right'],
    );

    // Return the additional form widgets
    return $form;
  }
?>
